package com.tzld.piaoquan.api.dao.mapper;

import com.tzld.piaoquan.api.model.po.AutoReplyMsgSendRecord;
import com.tzld.piaoquan.api.model.po.AutoReplyMsgSendRecordExample;
import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

@Mapper
@Repository
public interface AutoReplyMsgSendRecordMapper {
    long countByExample(AutoReplyMsgSendRecordExample example);

    int deleteByExample(AutoReplyMsgSendRecordExample example);

    int deleteByPrimaryKey(Long id);

    int insert(AutoReplyMsgSendRecord record);

    int insertSelective(AutoReplyMsgSendRecord record);

    List<AutoReplyMsgSendRecord> selectByExample(AutoReplyMsgSendRecordExample example);

    AutoReplyMsgSendRecord selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") AutoReplyMsgSendRecord record, @Param("example") AutoReplyMsgSendRecordExample example);

    int updateByExample(@Param("record") AutoReplyMsgSendRecord record, @Param("example") AutoReplyMsgSendRecordExample example);

    int updateByPrimaryKeySelective(AutoReplyMsgSendRecord record);

    int updateByPrimaryKey(AutoReplyMsgSendRecord record);
}